﻿<%@ control language="vb" inherits="ActiveWebSoftwares.Modules.DNNAuction.AAPItemAddEdit, App_Web_aapitemaddedit.ascx.2c5eb904" autoeventwireup="false" explicit="True" %>
<%@ Register TagPrefix="dnn" TagName="Audit" Src="~/controls/ModuleAuditControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>


<asp:Label class="NormalBold" id="Message" runat="server"></asp:Label>
<asp:HyperLink class="NormalBold" ID="YourItemisListed"  Visible="false"  resourcekey="YourItemisListed"  runat="server"></asp:HyperLink>


<asp:panel id="pnlContent" Runat="server">
<asp:Table runat ="server" ID="table1" >
		<asp:TableRow>
			<asp:TableCell> 
			    <dnn:label id="plLotNo" runat="server" HelpText="Item No."   controlname="LotNo" />
			</asp:TableCell>
			<asp:TableCell>
				<asp:label id="lblItemID" runat="server" ></asp:label>
            </asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell><dnn:label id="plTitle" runat="server"  controlname="ItemName"/>
			</asp:TableCell>
			<asp:TableCell>
				<asp:label id="Approved" runat="server" visible="false"></asp:label>
				<asp:label id="AccountID" runat="server" visible="false"></asp:label>
				<asp:TextBox id="ItemName" runat="server" size="60"></asp:TextBox>&nbsp;
				<asp:RequiredFieldValidator id="Requiredfieldvalidator2" runat="server" ErrorMessage="'Title' must not be left blank."
					Font-Size="9pt" Font-Name="verdana" Display="dynamic" ControlToValidate="ItemName"></asp:RequiredFieldValidator></asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell> 
			    <dnn:label id="plCategory" runat="server"  controlname="" />
			</asp:TableCell>
			<asp:TableCell>
                <asp:ListBox ID="ItemCats" runat="server" Width="280px" Height="136px">
                </asp:ListBox>
                <asp:Button ID="cmdCorrectDelete" runat="server" Text="Delete" />
                &nbsp;<asp:ListBox ID="ItemCatIDs" runat="server"  visible="false" Height="136px" 
                    Width="82px">
                    </asp:ListBox>
                <br />
				<asp:label id="CategoryID" runat="server" visible="false"></asp:label>
				<asp:dropdownlist id="SubCategory" runat="server" DataValueField="CategoryID" DataTextField="CategoryName"
					AutoPostBack="true" OnSelectedIndexChanged="Index_Changed"></asp:dropdownlist>
				<asp:label id="lblCategoryName" runat="server" ></asp:label>
                <asp:ListBox ID="lstSubCat" DataTextField="CategoryName"   SelectionMode="Multiple"   DataValueField="CategoryID"   runat="server"  ></asp:ListBox>
                <asp:Button ID="cmdAddCat" Text="Add Category"   runat="server"  />
            </asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell><dnn:label id="plDescription" runat="server"  controlname="ItemDescription"/></asp:TableCell>
			<asp:TableCell>
				<dnn:texteditor ControlID="ItemDescription" id="ItemDescription" runat="server"   height="200" width="600" />
            </asp:TableCell> 
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell>
                    <dnn:label id="plPictures" runat="server"  controlname="Image1"/>
            </asp:TableCell>
			<asp:TableCell>
				<asp:Table ID="table2" runat=server  >
					<asp:TableRow>
						<asp:TableCell>
							<asp:Image id="Image1" runat="server" Visible="false"></asp:Image></asp:TableCell>
						<asp:TableCell>
							<asp:Image id="Image2" runat="server" Visible="false"></asp:Image></asp:TableCell>
						<asp:TableCell>
							<asp:Image id="Image3" runat="server" Visible="false"></asp:Image></asp:TableCell>
						<asp:TableCell>
							<asp:Image id="Image4" runat="server" Visible="false"></asp:Image></asp:TableCell>
						<asp:TableCell>
							<asp:Image id="Image5" runat="server" Visible="false"></asp:Image></asp:TableCell>
					</asp:TableRow>
                    </asp:Table>
				<input id="File1" type="file" size="80" name="File1" runat="server"/><br/>
				<input id="File2" type="file" size="80" name="File2" runat="server"/><br/>
				<input id="File3" type="file" size="80" name="File3" runat="server"/><br/>
				<input id="File4" type="file" size="80" name="File4" runat="server"/><br/>
				<input id="File5" type="file" size="80" name="File5" runat="server"/><br/>
			</asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell><dnn:label id="plQuantity" runat="server"  controlname=""/>
			</asp:TableCell>
			<asp:TableCell>
				<asp:TextBox id="Quantity" Runat="server" Width="32px" text="1"></asp:TextBox>
				<asp:RangeValidator id="RangeValidator1" runat="server" ErrorMessage="Please enter a Quantity greater than 0"
					ControlToValidate="Quantity" MinimumValue="1" MaximumValue="9999" Type="Integer"></asp:RangeValidator></asp:TableCell>
		</asp:TableRow>
		<asp:TableRow ID="rowDuration" >
				<asp:TableCell>
                    <dnn:label id="plDuration" runat="server"  controlname=""/>
				</asp:TableCell>
				<asp:TableCell>
					<asp:DropDownList  id="Days" runat="server">
						<asp:ListItem Value="3"></asp:ListItem>
						<asp:ListItem Value="5"></asp:ListItem>
						<asp:ListItem Value="7" Selected="True"></asp:ListItem>
						<asp:ListItem Value="10"></asp:ListItem>
						<asp:ListItem Value="30"></asp:ListItem>
						<asp:ListItem Value="60"></asp:ListItem>
						<asp:ListItem Value="120"></asp:ListItem>
					</asp:DropDownList>
    				<asp:TextBox id="ClosingDate" Visible="false"  Runat="server"></asp:TextBox>
    			</asp:TableCell>	
		</asp:TableRow>
			<asp:TableRow ID="rowStartEnd">
				<asp:TableCell>
                    <dnn:label id="plStart" runat="server"  HelpText="Start of Listing"  controlname=""/>
				</asp:TableCell>
				<asp:TableCell>
					<asp:label id="LblStart" runat="server"></asp:label>
                 </asp:TableCell>
			</asp:TableRow>
			<asp:TableRow>
				<asp:TableCell><dnn:label id="plEnd" runat="server"  HelpText="End of Listing"  controlname=""/>
				</asp:TableCell>
				<asp:TableCell>
					<asp:label id="lblEnd" runat="server"></asp:label></asp:TableCell>
			</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell><dnn:label id="plStartingPrice" runat="server"  controlname=""/></asp:TableCell>
			<asp:TableCell>
				<asp:TextBox id="StartPrice" Runat="server" Width="59px" text="0"></asp:TextBox></asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell><dnn:label id="plReservePrice" runat="server"  controlname=""/></asp:TableCell>
			<asp:TableCell>
				<asp:TextBox id="ReservePrice" Runat="server" Width="62px" text="0"></asp:TextBox>
				<asp:CompareValidator id="CompareValidator2" runat="server" ErrorMessage="Reserve Price must be greater than Start Price"
					ControlToValidate="ReservePrice" Type="Currency" ControlToCompare="StartPrice" Operator="GreaterThanEqual"></asp:CompareValidator></asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell><dnn:label id="plIncrementBid" runat="server"  controlname=""/>
			</asp:TableCell>
			<asp:TableCell>
				<asp:TextBox id="IncrementBid" Runat="server" Width="58px" text="1">1</asp:TextBox>
				<asp:RangeValidator id="RangeValidator2" runat="server" ErrorMessage="Please enter an Increment Bid greater than 0"
					ControlToValidate="IncrementBid" MinimumValue="0" MaximumValue="999999" Type="Double" ></asp:RangeValidator></asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell><dnn:label id="plBuyItNowPrice" runat="server"  controlname=""/>
			</asp:TableCell>
			<asp:TableCell>
				<asp:TextBox id="BuyItNow" Runat="server" Width="56px" text="0"></asp:TextBox></asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell><dnn:label id="plLocation" runat="server"  controlname=""/></asp:TableCell>
			<asp:TableCell>
				<asp:TextBox id="Location" runat="server" Width="368px"></asp:TextBox></asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell><dnn:label id="plPaymentMethod" runat="server"  controlname=""/>
			</asp:TableCell>
			<asp:TableCell>
				<asp:Table ID="tblPayment" runat="server"  >
					<asp:TableRow>
						<asp:TableCell>
							<asp:CheckBox id="PaymentMethod1" runat="server" Text="PayPal"></asp:CheckBox></asp:TableCell>
						<asp:TableCell>
							<asp:CheckBox id="PaymentMethod2" runat="server" Text="Personal Check  Money Order/Cashier's Check"></asp:CheckBox></asp:TableCell>
					</asp:TableRow>
					<asp:TableRow>
						<asp:TableCell>
							<asp:CheckBox id="PaymentMethod3" runat="server" Text="Visa/MasterCard"></asp:CheckBox></asp:TableCell>
						<asp:TableCell>
							<asp:CheckBox id="PaymentMethod4" runat="server" Text="See Item Description" Checked="True"></asp:CheckBox></asp:TableCell>
					</asp:TableRow>
                </asp:Table>
			</asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell><dnn:label id="plWherewillyouDeliver" runat="server"  controlname=""/>
			</asp:TableCell>
			<asp:TableCell>
				<asp:DropDownList id="Delivery" runat="server">
					<asp:ListItem Value="Will Ship Locally" Selected="True"></asp:ListItem>
					<asp:ListItem Value="Will Ship Internationally"></asp:ListItem>
					<asp:ListItem Value="See Item Description"></asp:ListItem>
				</asp:DropDownList></asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell><dnn:label id="plDeliveryFee" runat="server"  controlname=""/>
			</asp:TableCell>
			<asp:TableCell>
				<asp:DropDownList id="DeliveryFee" runat="server">
					<asp:ListItem Value="Buyer Pays for Shipping" Selected="True"></asp:ListItem>
					<asp:ListItem Value="Free Shipping"></asp:ListItem>
					<asp:ListItem Value="See Item Description"></asp:ListItem>
				</asp:DropDownList></asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell><dnn:label id="plSpecialListingOptions" runat="server"  controlname=""/></asp:TableCell>
			<asp:TableCell>
				<asp:CheckBox id="Featured" runat="server" Text="Featured"></asp:CheckBox><br/>
				<asp:CheckBox id="Bold" runat="server" Text="Bold"></asp:CheckBox><br/>
				<asp:CheckBox id="Highlight" runat="server" Text="Highlight"></asp:CheckBox><br/>
				<asp:CheckBox id="Gallery" runat="server" Text="Gallery"></asp:CheckBox>
            </asp:TableCell>
		</asp:TableRow>
		<asp:TableRow>
			<asp:TableCell></asp:TableCell>
			<asp:TableCell>
            <br/>
	            <asp:button id="cmdUpdate"  runat="server" resourcekey="cmdUpdate"></asp:button>
	            <asp:button id="cmdCancel"  runat="server" CausesValidation="False" resourcekey="cmdCancel"></asp:button>
	            <asp:button id="cmdDelete" runat="server" CausesValidation="False" Visible="False" resourcekey="cmdDelete"></asp:button>
            </asp:TableCell>
		</asp:TableRow>
</asp:Table>
        
</asp:panel>
